package cn.iocoder.yudao.module.asset.service.prepare;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.asset.controller.admin.prepare.vo.VehiclePreparePageReqVO;
import cn.iocoder.yudao.module.asset.controller.admin.prepare.vo.VehiclePrepareSaveReqVO;
import cn.iocoder.yudao.module.asset.dal.dataobject.prepare.VehiclePrepareDO;

import jakarta.validation.Valid;

public interface VehiclePrepareService {

    Long createVehiclePrepare(@Valid VehiclePrepareSaveReqVO createReqVO);

    void updateVehiclePrepare(@Valid VehiclePrepareSaveReqVO updateReqVO);

    void deleteVehiclePrepare(Long id);

    VehiclePrepareDO getVehiclePrepare(Long id);

    PageResult<VehiclePrepareDO> getVehiclePreparePage(VehiclePreparePageReqVO pageReqVO);

    void completeVehiclePrepare(Long id);

}
